Mailmus

Organization invitations

GET
/apps/{appId}/organizations/{id}/invitations
AuthorizationBearer <token>

In: header

Path Parameters

id*string
appId*string

Query Parameters

status*string

Response Body

application/json

curl -X GET "https://example.com/apps/string/organizations/string/invitations?status=string"
[  {    "id": "string",    "organizationId": "string",    "appId": "string",    "email": "string",    "role": "OWNER",    "status": "PENDING",    "invitedByEndUserId": "string",    "expiresAt": "2019-08-24T14:15:22Z",    "acceptedAt": "2019-08-24T14:15:22Z",    "revokedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }]
POST
/apps/{appId}/organizations/{id}/invitations
AuthorizationBearer <token>

In: header

Path Parameters

id*string
appId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/apps/string/organizations/string/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{  "id": "string",  "organizationId": "string",  "appId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByEndUserId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
POST
/apps/{appId}/organizations/{id}/invitations/{invitationId}/resend
AuthorizationBearer <token>

In: header

Path Parameters

id*string
invitationId*string
appId*string

Response Body

application/json

curl -X POST "https://example.com/apps/string/organizations/string/invitations/string/resend"
{  "id": "string",  "organizationId": "string",  "appId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByEndUserId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
DELETE
/apps/{appId}/organizations/{id}/invitations/{invitationId}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
invitationId*string
appId*string

Response Body

application/json

curl -X DELETE "https://example.com/apps/string/organizations/string/invitations/string"
{  "id": "string",  "organizationId": "string",  "appId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByEndUserId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}